<template>
  <div>
    <banner
      :class="'hero--rooms'"
      :title="'Our Rooms'"
      :link="'/'"
      :linkText="'return home'"
    ></banner>
    <room-filter></room-filter>
    <room-list :rooms="rooms"></room-list>
  </div>
</template>

<script>
import Banner from "./../Banner";
import RoomFilter from "./RoomFilter";
import RoomList from "./RoomList";
import store from "./../../store";
import {mapGetters} from "vuex";
export default {
  name: "Rooms",
  components: {
    "room-filter": RoomFilter,
    "room-list": RoomList,
    banner: Banner,
  },
  computed: {
    ...mapGetters({
      rooms: "rooms",
      types: "types",
      capacities: "capacities",
    }),
  },
  created() {
    store.dispatch("fetchRooms", { self: this });
  },
};
</script>
